Subject: Re: bug#23457: 24.5; interactive use of next-line and previous-line (holding down C-n or C-p) lag in a buffer with all spaces and newlines

From: Stephen Berman <[email-masked]>
Date: Fri, 06 May 2016 11:13:46 +0200

On Fri, 6 May 2016 01:43:55 -0700 James McClain <[email-masked]> wrote:

> Here is another take on the recipe, hopefully I can clear up any confusion.
> This is without resizing the window, so window-body-width should be 80.
> 1. .\emacs-25.0.93.exe -Q
> 2. C-x b test-2 <ret>
> 3. <f3>
> 4. C-u 80 <space>
> 5. C-j
> 6. <f4>
> 7. C-u 120 <f4>
> 8. You should now be at the bottom of the buffer and at the first column,
>     but it doesn't hurt to hit M-> and C-a, so do that.
> 9. Now try moving up to the top of the buffer with C-p
>
> I experience lag doing this [...]

I can reproduce this with the above recipe.  At step 9 I held down C-p
for five seconds; after about 1 second point moved up one line (from 122
to 121), then Emacs froze for about 45 seconds, after which point jumped
to bob.

Here's my build:

In GNU Emacs 25.0.93.3 (x86_64-suse-linux-gnu, GTK+ Version 3.14.15)
 of 2016-05-04 built on rosalinde
Repository revision: adc80b7e238e09b1b8c392ecf902d2b978d9016d
Windowing system distributor 'The X.Org Foundation', version 11.0.11601000
System Description:	openSUSE 13.2 (Harlequin) (x86_64)

Configured using:
 'configure --with-xwidgets 'CFLAGS=-Og -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

And here's /proc/cpuinfo:

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 95
model name      : AMD Sempron(tm) Processor 3400+
stepping        : 2
cpu MHz         : 1000.000
cache size      : 256 KB
physical id     : 0
siblings        : 1
core id         : 0
cpu cores       : 1
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good nopl extd_apicid pni cx16 lahf_lm extapic cr8_legacy
bogomips        : 2010.12
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc

Steve Berman